gcc 2.95 and vector::at(…)

Bookcase has a compilation error under gcc 2.95 in the DB.cpp file because the libstdc++ support is incomplete with no definition for vector::at(…). The PalmDB tools did have a configure check for gcc version 2.95, but I overlooked it when I added the library. So it will be in the next version.

Until then, you can run make CXXFLAGS="-D__LIBSTDCPP_PARTIAL_SUPPORT__" and that should allow the compilation to complete.